{%- extends "_layout_list.html" %}

{%- block searchformfields %}

                            <div class="row">
                                <div class="col-sm-4">
                                    {{ macros_form.render_form_item_default(g.search_form.search) }}
                                </div>
                                <div class="col-sm-4">
                                    {{ macros_form.render_form_item_datetime(g.search_form.dt_from, 'datetimepicker-hm-from') }}
                                </div>
                                <div class="col-sm-4">
                                    {{ macros_form.render_form_item_datetime(g.search_form.dt_to, 'datetimepicker-hm-to') }}
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-4">
                                    {{ macros_form.render_form_item_select(g.search_form.state) }}
                                </div>
                                <div class="col-sm-4">
                                    {{ macros_form.render_form_item_select(g.search_form.type) }}
                                </div>
                                <div class="col-sm-4">
                                    {{ macros_form.render_form_item_select(g.search_form.group) }}
                                </div>
                            </div>

{%- endblock searchformfields %}

{%- block contentinner %}

                    <table class="table table-bordered table-hover table-striped hawat-datatable">
                        <thead>
                            <tr>
                                <th>
                                    {{ _('Group') }}
                                </th>
                                <th>
                                    {{ _('Name') }} {{ macros_site.render_sorter(request.endpoint, query_params, 'name') }}
                                </th>
                                <th>
                                    {{ _('Type') }}
                                </th>
                                <th>
                                    {{ _('Description') }}
                                </th>
                                <th>
                                    {{ _('Hits') }} {{ macros_site.render_sorter(request.endpoint, query_params, 'hits') }}
                                </th>
                                <th>
                                    {{ _('Last hit') }} {{ macros_site.render_sorter(request.endpoint, query_params, 'last_hit') }}
                                </th>
                                <th>
                                    {{ _('State') }}
                                </th>
                                <th data-toggle="tooltip" title="{{ _('Contextual item actions') }}">
                                    {{ get_icon('actions') }} {{ _('Actions') }}
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            {%- for item in items %}
                            <tr>
                                <td>
                                    <a data-toggle="tooltip" href="{{ url_for('groups.show', item_id = item.group.id ) }}" title="{{ _('View details of group &quot;%(item)s&quot;', item = item.group.name) }}">
                                        {{ item.group.name }}
                                    </a>
                                </td>
                                <td>
                                    {{ item.name | default(_('<< unknown >>'), True) }}
                                </td>
                                <td>
                                    {{ item.type | default(_('<< unknown >>'), True) }}
                                </td>
                                <td>
                                    {{ item.description | default(_('<< unknown >>'), True) | truncate(50) }}
                                </td>
                                <td>
                                    {{ item.hits }}
                                </td>
                                <td>
                                    {%- if item.last_hit %}
                                    {{ babel_format_datetime(item.last_hit) }}
                                    {%- else %}
                                    {{ _('never') }}
                                    {%- endif %}
                                </td>
                                <td>
                                    {{ macros_site.render_label_item_state(item.enabled, True) }}
                                </td>
                                <td class="column-actions">
                                    {{ macros_page.render_menu_context_actions(item) }}
                                </td>
                            </tr>
                            {%- endfor %}
                        </tbody>
                    </table>

{%- endblock contentinner %}
